import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增字典数据
    adddictdata(data) {
        return request({
            url: '/system/dict/data',
            method: 'post',
            data
        })
    },
    //删除字典数据
    deldictdata(data) {
        return request({
            url: '/system/dict/data/delete/' + data,
            method: 'post',
        })
    },
    //修改保存字典数据
    editdictdata(data) {
        return request({
            url: '/system/dict/data/edit',
            method: 'post',
            data
        })
    },
    //获取字典数据列表
    obtaindictdata(data) {
        return request({
            url: `/system/dict/data/list`,
            method: 'get',
            params: data
        })
    },
    //根据字典类型查询字典数据信息
    dictdatatypes(data) {
        return request({
            url: `/system/dict/data/type/`,
            method: 'get',
            params: data
        })
    },
    //查询字典数据详细
    getdictdata(data) {
        return request({
            url: `/system/dict/data/` + data,
            method: 'get',
        })
    },
}